# Auto generated by makeModifer.tcl
proc checkModifier {checkMethod} {

    set semanticConstants {NO_MOD PUBLIC_MOD PROTECTED_MOD PRIVATE_MOD  ABSTRACT_MOD FINAL_MOD STATIC_MOD}
    set results {} 
    foreach semanticConstant $semanticConstants {
	if [catch {
	    set id [java::field  metropolis.metamodel.MetaModelStaticSemanticConstants  $semanticConstant]
	    java::call metropolis.metamodel.Modifier $checkMethod $id
	} errMsg ] {
	    if ![regexp {RuntimeException: Illegal modifier} $errMsg] {
		error "Error message did not contain 'RuntimeException: Illegal modifier':\n$checkMethod $semanticConstant\n$errMsg"
	    }
	    lappend results [list $checkMethod $semanticConstant $errMsg]
	} else {
	    lappend results [list $checkMethod $semanticConstant]
	}
    }
    return $results

}

####
#
test Modifier-Auto-1 {Modifier check test of checkClassModifiers} { 
    checkModifier checkClassModifiers
} {{checkClassModifiers NO_MOD} {checkClassModifiers PUBLIC_MOD} {checkClassModifiers PROTECTED_MOD} {checkClassModifiers PRIVATE_MOD} {checkClassModifiers ABSTRACT_MOD} {checkClassModifiers FINAL_MOD} {checkClassModifiers STATIC_MOD {java.lang.RuntimeException: Illegal modifier in  class declaration : static }}}

####
#
test Modifier-Auto-2 {Modifier check test of checkConstantFieldModifiers} { 
    checkModifier checkConstantFieldModifiers
} {{checkConstantFieldModifiers NO_MOD} {checkConstantFieldModifiers PUBLIC_MOD} {checkConstantFieldModifiers PROTECTED_MOD {java.lang.RuntimeException: Illegal modifier in  constant field declaration : protected }} {checkConstantFieldModifiers PRIVATE_MOD {java.lang.RuntimeException: Illegal modifier in  constant field declaration : private }} {checkConstantFieldModifiers ABSTRACT_MOD {java.lang.RuntimeException: Illegal modifier in  constant field declaration : abstract }} {checkConstantFieldModifiers FINAL_MOD} {checkConstantFieldModifiers STATIC_MOD {java.lang.RuntimeException: Illegal modifier in  constant field declaration : static }}}

####
#
test Modifier-Auto-3 {Modifier check test of checkConstructorModifiers} { 
    checkModifier checkConstructorModifiers
} {{checkConstructorModifiers NO_MOD} {checkConstructorModifiers PUBLIC_MOD} {checkConstructorModifiers PROTECTED_MOD} {checkConstructorModifiers PRIVATE_MOD} {checkConstructorModifiers ABSTRACT_MOD {java.lang.RuntimeException: Illegal modifier in  constructor declaration : abstract }} {checkConstructorModifiers FINAL_MOD {java.lang.RuntimeException: Illegal modifier in  constructor declaration : final }} {checkConstructorModifiers STATIC_MOD {java.lang.RuntimeException: Illegal modifier in  constructor declaration : static }}}

####
#
test Modifier-Auto-4 {Modifier check test of checkFieldModifiers} { 
    checkModifier checkFieldModifiers
} {{checkFieldModifiers NO_MOD} {checkFieldModifiers PUBLIC_MOD} {checkFieldModifiers PROTECTED_MOD} {checkFieldModifiers PRIVATE_MOD} {checkFieldModifiers ABSTRACT_MOD {java.lang.RuntimeException: Illegal modifier in  field declaration : abstract }} {checkFieldModifiers FINAL_MOD} {checkFieldModifiers STATIC_MOD}}

####
#
test Modifier-Auto-5 {Modifier check test of checkFormalModifiers} { 
    checkModifier checkFormalModifiers
} {{checkFormalModifiers NO_MOD} {checkFormalModifiers PUBLIC_MOD {java.lang.RuntimeException: Illegal modifier in  formal parameter declaration : public }} {checkFormalModifiers PROTECTED_MOD {java.lang.RuntimeException: Illegal modifier in  formal parameter declaration : protected }} {checkFormalModifiers PRIVATE_MOD {java.lang.RuntimeException: Illegal modifier in  formal parameter declaration : private }} {checkFormalModifiers ABSTRACT_MOD {java.lang.RuntimeException: Illegal modifier in  formal parameter declaration : abstract }} {checkFormalModifiers FINAL_MOD} {checkFormalModifiers STATIC_MOD {java.lang.RuntimeException: Illegal modifier in  formal parameter declaration : static }}}

####
#
test Modifier-Auto-6 {Modifier check test of checkInterfaceMethodModifiers} { 
    checkModifier checkInterfaceMethodModifiers
} {{checkInterfaceMethodModifiers NO_MOD} {checkInterfaceMethodModifiers PUBLIC_MOD} {checkInterfaceMethodModifiers PROTECTED_MOD} {checkInterfaceMethodModifiers PRIVATE_MOD} {checkInterfaceMethodModifiers ABSTRACT_MOD} {checkInterfaceMethodModifiers FINAL_MOD} {checkInterfaceMethodModifiers STATIC_MOD}}

####
#
test Modifier-Auto-7 {Modifier check test of checkInterfaceModifiers} { 
    checkModifier checkInterfaceModifiers
} {{checkInterfaceModifiers NO_MOD} {checkInterfaceModifiers PUBLIC_MOD} {checkInterfaceModifiers PROTECTED_MOD} {checkInterfaceModifiers PRIVATE_MOD} {checkInterfaceModifiers ABSTRACT_MOD} {checkInterfaceModifiers FINAL_MOD} {checkInterfaceModifiers STATIC_MOD {java.lang.RuntimeException: Illegal modifier in  interface declaration : static }}}

####
#
test Modifier-Auto-8 {Modifier check test of checkLocalVarModifiers} { 
    checkModifier checkLocalVarModifiers
} {{checkLocalVarModifiers NO_MOD} {checkLocalVarModifiers PUBLIC_MOD {java.lang.RuntimeException: Illegal modifier in  local variable declaration : public }} {checkLocalVarModifiers PROTECTED_MOD {java.lang.RuntimeException: Illegal modifier in  local variable declaration : protected }} {checkLocalVarModifiers PRIVATE_MOD {java.lang.RuntimeException: Illegal modifier in  local variable declaration : private }} {checkLocalVarModifiers ABSTRACT_MOD {java.lang.RuntimeException: Illegal modifier in  local variable declaration : abstract }} {checkLocalVarModifiers FINAL_MOD} {checkLocalVarModifiers STATIC_MOD {java.lang.RuntimeException: Illegal modifier in  local variable declaration : static }}}

####
#
test Modifier-Auto-9 {Modifier check test of checkMediumModifiers} { 
    checkModifier checkMediumModifiers
} {{checkMediumModifiers NO_MOD} {checkMediumModifiers PUBLIC_MOD} {checkMediumModifiers PROTECTED_MOD} {checkMediumModifiers PRIVATE_MOD} {checkMediumModifiers ABSTRACT_MOD} {checkMediumModifiers FINAL_MOD} {checkMediumModifiers STATIC_MOD {java.lang.RuntimeException: Illegal modifier in  communication medium declaration : static }}}

####
#
test Modifier-Auto-10 {Modifier check test of checkMethodModifiers} { 
    checkModifier checkMethodModifiers
} {{checkMethodModifiers NO_MOD} {checkMethodModifiers PUBLIC_MOD} {checkMethodModifiers PROTECTED_MOD} {checkMethodModifiers PRIVATE_MOD} {checkMethodModifiers ABSTRACT_MOD} {checkMethodModifiers FINAL_MOD} {checkMethodModifiers STATIC_MOD}}

####
#
test Modifier-Auto-11 {Modifier check test of checkMethodSignatureModifiers} { 
    checkModifier checkMethodSignatureModifiers
} {{checkMethodSignatureModifiers NO_MOD} {checkMethodSignatureModifiers PUBLIC_MOD} {checkMethodSignatureModifiers PROTECTED_MOD {java.lang.RuntimeException: Illegal modifier in  method signature declaration : protected }} {checkMethodSignatureModifiers PRIVATE_MOD {java.lang.RuntimeException: Illegal modifier in  method signature declaration : private }} {checkMethodSignatureModifiers ABSTRACT_MOD} {checkMethodSignatureModifiers FINAL_MOD {java.lang.RuntimeException: Illegal modifier in  method signature declaration : final }} {checkMethodSignatureModifiers STATIC_MOD {java.lang.RuntimeException: Illegal modifier in  method signature declaration : static }}}

####
#
test Modifier-Auto-12 {Modifier check test of checkNetlistModifiers} { 
    checkModifier checkNetlistModifiers
} {{checkNetlistModifiers NO_MOD} {checkNetlistModifiers PUBLIC_MOD} {checkNetlistModifiers PROTECTED_MOD} {checkNetlistModifiers PRIVATE_MOD} {checkNetlistModifiers ABSTRACT_MOD} {checkNetlistModifiers FINAL_MOD} {checkNetlistModifiers STATIC_MOD {java.lang.RuntimeException: Illegal modifier in  netlist declaration : static }}}

####
#
test Modifier-Auto-13 {Modifier check test of checkParameterModifiers} { 
    checkModifier checkParameterModifiers
} {{checkParameterModifiers NO_MOD} {checkParameterModifiers PUBLIC_MOD {java.lang.RuntimeException: Illegal modifier in  class parameter declaration : public }} {checkParameterModifiers PROTECTED_MOD {java.lang.RuntimeException: Illegal modifier in  class parameter declaration : protected }} {checkParameterModifiers PRIVATE_MOD} {checkParameterModifiers ABSTRACT_MOD {java.lang.RuntimeException: Illegal modifier in  class parameter declaration : abstract }} {checkParameterModifiers FINAL_MOD} {checkParameterModifiers STATIC_MOD {java.lang.RuntimeException: Illegal modifier in  class parameter declaration : static }}}

####
#
test Modifier-Auto-14 {Modifier check test of checkPortModifiers} { 
    checkModifier checkPortModifiers
} {{checkPortModifiers NO_MOD} {checkPortModifiers PUBLIC_MOD} {checkPortModifiers PROTECTED_MOD {java.lang.RuntimeException: Illegal modifier in  port declaration : protected }} {checkPortModifiers PRIVATE_MOD {java.lang.RuntimeException: Illegal modifier in  port declaration : private }} {checkPortModifiers ABSTRACT_MOD {java.lang.RuntimeException: Illegal modifier in  port declaration : abstract }} {checkPortModifiers FINAL_MOD {java.lang.RuntimeException: Illegal modifier in  port declaration : final }} {checkPortModifiers STATIC_MOD {java.lang.RuntimeException: Illegal modifier in  port declaration : static }}}

####
#
test Modifier-Auto-15 {Modifier check test of checkProcessModifiers} { 
    checkModifier checkProcessModifiers
} {{checkProcessModifiers NO_MOD} {checkProcessModifiers PUBLIC_MOD} {checkProcessModifiers PROTECTED_MOD} {checkProcessModifiers PRIVATE_MOD} {checkProcessModifiers ABSTRACT_MOD} {checkProcessModifiers FINAL_MOD} {checkProcessModifiers STATIC_MOD {java.lang.RuntimeException: Illegal modifier in  process declaration : static }}}

####
#
test Modifier-Auto-16 {Modifier check test of checkQuantityModifiers} { 
    checkModifier checkQuantityModifiers
} {{checkQuantityModifiers NO_MOD} {checkQuantityModifiers PUBLIC_MOD} {checkQuantityModifiers PROTECTED_MOD} {checkQuantityModifiers PRIVATE_MOD} {checkQuantityModifiers ABSTRACT_MOD} {checkQuantityModifiers FINAL_MOD} {checkQuantityModifiers STATIC_MOD {java.lang.RuntimeException: Illegal modifier in  quantity declaration : static }}}

####
#
test Modifier-Auto-17 {Modifier check test of checkSMModifiers} { 
    checkModifier checkSMModifiers
} {{checkSMModifiers NO_MOD} {checkSMModifiers PUBLIC_MOD} {checkSMModifiers PROTECTED_MOD} {checkSMModifiers PRIVATE_MOD} {checkSMModifiers ABSTRACT_MOD} {checkSMModifiers FINAL_MOD} {checkSMModifiers STATIC_MOD {java.lang.RuntimeException: Illegal modifier in  state medium declaration : static }}}

####
#
test Modifier-Auto-18 {Modifier check test of checkSchedulerModifiers} { 
    checkModifier checkSchedulerModifiers
} {{checkSchedulerModifiers NO_MOD} {checkSchedulerModifiers PUBLIC_MOD} {checkSchedulerModifiers PROTECTED_MOD} {checkSchedulerModifiers PRIVATE_MOD} {checkSchedulerModifiers ABSTRACT_MOD} {checkSchedulerModifiers FINAL_MOD} {checkSchedulerModifiers STATIC_MOD {java.lang.RuntimeException: Illegal modifier in  scheduler declaration : static }}}

